# VAST

VAST (Video Ad Serving Template) —  Спецификация, разрабатываемая IAB и содержащая в себе всю необходимую информацию о видео рекламе (ее физическое нахождение, формат, урлы, которые будут вызываться при наступлении разных событий и д.р.) По сути VAST это обычный XML документ, который служит для организации коммуникации рекламного сервера и видеоплеера для показа видео рекламы.

* [Подробнее про стандарт VAST ](https://iabtechlab.com/standards/vast/)
* [Статья "Видеореклама под капотом: что такое VAST?" ](https://habr.com/ru/post/499164/)

### Пример VAST

```
<VAST version="3.0">
 <Ad id="aGVscA">
  <InLine>
    <AdSystem>Our AdSystem</AdSystem>
    <AdTitle>Our video ad</AdTitle>
    <AdServingId>a532d16d-4d7f-4440-bd29-2ec05553fc80</AdServingId>
    <Impression><![CDATA[https://adserver.com/track/impression]]></Impression>
    <TrackingEvents>
     <Tracking type="start"><![CDATA[{your url}]]></Tracking>
     <Tracking type="creativeView"><![CDATA[{your url}]]></Tracking>
     <Tracking type="firstQuartile"><![CDATA[{your url}]]></Tracking>
     <Tracking type="midpoint"><![CDATA[{your url}]]></Tracking>
     <Tracking type="thirdQuartile"><![CDATA[{your url}]]></Tracking>
     <Tracking type="complete"><![CDATA[{your url}]]></Tracking>
     <Tracking type="skip"><![CDATA[{your url}]]></Tracking>
     <Tracking type="close"><![CDATA[{your url}]]></Tracking>
    </TrackingEvents>
    <VideoClicks>
     <ClickThrough><![CDATA[{your landing}]]></ClickThrough>
     <ClickTracking><![CDATA[{your url}]]></ClickTracking>
    </VideoClicks>
    <Creatives>
      <Creative>
       <Linear skipoffset="00:00:05">
        <Duration>00:00:20</Duration>
        <MediaFiles>
         <MediaFile
           delivery="progressive"
           type="video/mp4"
           width="672"
           height="480">
            <![CDATA[{mediafile url}]]>
         </MediaFile>
        </MediaFiles>
       </Linear>
      </Creative>
    </Creatives>
  </InLine>
 </Ad>
</VAST>
```

#### VAST Inspector

Чтобы упростить тестирование и проверку ваших VAST-тегов, воспользуйтесь нашим [VAST Inspector](https://umg.team/ru/ad-tag-inspector). Этот инструмент позволяет анализировать теги, визуализировать их структуру и проверять на соответствие стандартам IAB. В случае необходимости вы можете изучить инструкцию по использованию [VAST/VPAID инспектора UMG.](https://docs.umg.team/main/utag-inspector-vast-inspector)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umg.team/main/specifikacii/vast.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
